This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 74932 - Xfree86 fails to load agpgart kernel module
Xfree86 fails to load agpgart kernel module
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-02 17:34 EDT by Alfredo
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-05 15:04:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alfredo 2002-10-02 17:34:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
The agpgart.o kernel module is not loaded starting X. Server is r128 (that
module loads ok). This is after upgrade from 7.3 to 8.0. This is what
XFree86.0.log says:

(WW) R128(0): [agp] AGP not available
(WW) R128(0): [agp] AGP failed to initialize -- falling back to PCI mode.
(WW) R128(0): [agp] Make sure you have the agpgart kernel module loaded.

I've added the following line to modules.conf with no luck after reboot:

alias char-major-10-175 agpgart
Inserting the agpgart module by hand and restart X doesn't help, the module is
not used and the log says the same.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.starting the OS in runlevel 5
2.
3.
	

Actual Results:  agpgart module is not loaded

Expected Results:  agpgart module loaded and used

Additional info:

Upgrade from rh7.3 to rh8.0. Output from lspci:

00:00.0 Host bridge: VIA Technologies, Inc. VT82C693A/694x [Apollo PRO133x] (rev 44)
        Flags: bus master, medium devsel, latency 0
        Memory at e4000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo MVP3/Pro133x
AGP] (prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: de000000-de7fffff
        Prefetchable memory behind bridge: dff00000-e3ffffff
        Capabilities: [80] Power Management version 2

00:04.0 ISA bridge: VIA Technologies, Inc. VT82C596 ISA [Mobile South] (rev 23)
       Flags: bus master, stepping, medium devsel, latency 0

00:04.1 IDE interface: VIA Technologies, Inc. VT82C586B PIPC Bus Master IDE (rev
10) (prog-if 8a [Master SecP PriP])
        Flags: bus master, stepping, medium devsel, latency 32
        I/O ports at b800 [size=16]
        Capabilities: [c0] Power Management version 2

00:04.2 USB Controller: VIA Technologies, Inc. USB (rev 11) (prog-if 00 [UHCI])
       Subsystem: VIA Technologies, Inc. (Wrong ID) USB Controller
        Flags: bus master, medium devsel, latency 32, IRQ 5
        I/O ports at b400 [size=32]
        Capabilities: [80] Power Management version 2

00:04.3 Host bridge: VIA Technologies, Inc. VT82C596 Power Management (rev 30)
        Flags: medium devsel

00:09.0 Multimedia audio controller: Ensoniq ES1371 [AudioPCI-97] (rev 06)
        Subsystem: Ensoniq Creative Sound Blaster AudioPCI64V, AudioPCI128
        Flags: bus master, slow devsel, latency 32, IRQ 5
I/O ports at b000 [size=64]
        Capabilities: [dc] Power Management version 1

00:0b.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture
(rev 02)
        Subsystem: Avermedia Technologies Inc: Unknown device 0002
        Flags: bus master, medium devsel, latency 32, IRQ 9
        Memory at df000000 (32-bit, prefetchable) [size=4K]

00:0b.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 02)
        Subsystem: Avermedia Technologies Inc: Unknown device 0002
        Flags: bus master, medium devsel, latency 32, IRQ 9
        Memory at de800000 (32-bit, prefetchable) [disabled] [size=4K]

01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 RF/SG AGP
(prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc Rage Fury/Xpert 128/Xpert 2000
        Flags: bus master, stepping, 66Mhz, medium devsel, latency 64, IRQ 11
        Memory at e0000000 (32-bit, prefetchable) [size=64M]
        I/O ports at d800 [size=256]
        Memory at de000000 (32-bit, non-prefetchable) [size=16K]
        Expansion ROM at dffe0000 [disabled] [size=128K]
        Capabilities: [50] AGP version 2.0
        Capabilities: [5c] Power Management version 1
Comment 1 Alfredo 2002-10-05 15:04:14 EDT
I've added this to XF86Config and now agpgart.o module loads ok (??!!)

Option     "AGPMode" "2"
Option     "UseCCEFor2D" "false"

Note You need to log in before you can comment on or make changes to this bug.